Subject: Re: [lojban] path (computer term)

From: Rob Speer <[email-masked]>
Date: Sun, 6 May 2001 15:12:33 -0400

On Sun, May 06, 2001 at 10:38:21AM -0600, Jay Kominek wrote:
> 
> On Fri, 4 May 2001, Pierre Abbat wrote:
> 
> > datnyveiste tersispoi: datnyveiste 1 = tersispoi 3
> > termi'e tersispoi: termi'e 1 = tersispoi 4
> > tersispoi:te+sisku+porsi:sequence of places to look for something:x1, ordered
> > by rules x2, is a sequence of places x3 where x5 looks for x4
> 
> the path doesn't really consist of a sequence of places to look for
> something, its more of a path to get to what you want.
> 
> velklastu:ve+klama+stuzi:x1 is the path/route to x2 as used by x3
> 
> sticking the thing that you're looking for out in x4 seems like a poor
> idea. common usage in english is along the lines of "what is the path of
> that file?" "fstab is in /etc"

I think Pierre was referring to the PATH environment variable, in DOS and UNIX,
which gives a sequence of places to look for a program when you don't specify a
path.

That said, I think that a lujvo is not necessary for that. For one thing, the
systems expect the variable to be called PATH and nothing else, so it's not
prone to translation, and even if you wanted to express the general concept and
not any particular implementation of PATH, it could be "velklastu porsi".
-- 
Rob Speer